Limerence
Discord

Update Discord Workspace

Update a Discord workspace configuration

PATCH
/discord/workspaces/{id}

Update a Discord workspace configuration

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/discord/workspaces/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "workspace": {    "agentId": "string",    "applicationId": "string",    "enabled": true,    "guildId": "string",    "id": "string"  }}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "discord/not-found",    "detail": "Discord workspace not found or you do not have access."  },  "message": "Discord workspace not found"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}